#include "Std.h"
#include "RailModule.h"
#include "S88Callback.h"

STATUS g_lastStatus;

RCSTATUS S88Callback::Dispatch()
{
	//
	// anything changed? If so, notify
	//
/*	printf("%4x:%4x:%4x:%4x\n",
		m_status.rgwStatus[ 0 ],
		m_status.rgwStatus[ 1 ],
		m_status.rgwStatus[ 2 ],
		m_status.rgwStatus[ 3 ] );
	fflush( stdout );
*/	
	if ( 0 != memcmp( 
		&g_lastStatus, 
		&m_status, 
		( DWORD ) sizeof( STATUS ) ) )
	{
		// DEBUG
		//DBG_PRINT( "S88PollCommand: Status changed\n" );
		
		//
		// client callback
		//
		m_pfnStatusCallback( m_status, g_lastStatus );
	}
	else
	{
		//DBG_PRINT( "S88PollCommand: Status stable\n" );
	
		//
		// same status as before -> NOP
		//
	}
	
	//
	// remember
	//
	g_lastStatus = m_status;
	
	return RCSTATUS_SUCCESS;
}
