#ifndef __S88CALLBACK_H__
#define __S88CALLBACK_H__

#include "dclrailcontrol.h"
#include "ICallback.h"

class S88Callback : public ICallback
{
private:
	STATUS m_status;

	//
	// status callback
	//
	STATUS_CALLBACK m_pfnStatusCallback;

public:
	S88Callback( 
		STATUS *pStatus,
		STATUS_CALLBACK pfnStatusCallback )
		: m_pfnStatusCallback( pfnStatusCallback )
	{
		// copy content
		m_status = *pStatus;
	}
	
	virtual ~S88Callback() 
	{
	};
	
	virtual RCSTATUS Dispatch();
};

#endif // __S88CALLBACK_H__
