#ifndef __SIMPLECALLBACK_H__
#define __SIMPLECALLBACK_H__

#include "dclrailcontrol.h"
#include "ICallback.h"

class SimpleCallback : public ICallback
{
private:
	DWORD m_dwCallbackCookie;
	COMMAND_CALLBACK m_pfnCallback;

public:
	SimpleCallback( 
		DWORD dwCallbackCookie,
		COMMAND_CALLBACK pfnCallback )
		: m_dwCallbackCookie( dwCallbackCookie ),
		  m_pfnCallback( pfnCallback )
	{
	}
	
	virtual ~SimpleCallback() 
	{
	};
	
	virtual RCSTATUS Dispatch();
};

#endif // __SIMPLECALLBACK_H__
